#
#	do_program.tcl
#	Configure the fpga with bit file
#

# set proj_name and proj_dir (without updating the revision!):
set argv [list no_update_revision ]
set argc 2
source proj_properties.tcl

open_hw_manager
connect_hw_server
open_hw_target
set_property PROGRAM.FILE ${proj_name}_elf.bit [lindex [get_hw_devices] 0]
puts "Use file: ${proj_name}_elf.bit"
current_hw_device [lindex [get_hw_devices] 0]
refresh_hw_device -update_hw_probes false [lindex [get_hw_devices] 0]
set_property PROBES.FILE {} [lindex [get_hw_devices] 0]
program_hw_devices [lindex [get_hw_devices] 0]
refresh_hw_device [lindex [get_hw_devices] 0]
disconnect_hw_server
