##### REFERENCE CLOCK #####
# CLK_DMTD input pins (on board 124.992 MHz Xtal)
# Note that 125.000 MHz is routed via AD9516!
set_property PACKAGE_PIN D15 [get_ports CLK_DMTD_P]
set_property IOSTANDARD LVDS [get_ports CLK_DMTD_P]
set_property PACKAGE_PIN D14 [get_ports CLK_DMTD_N]
set_property IOSTANDARD LVDS [get_ports CLK_DMTD_N]
create_clock -period 8.000 -name CLK_DMTD_P [get_ports CLK_DMTD_P]

# LED_0 to 3
set_property IOSTANDARD LVCMOS25 [get_ports {LED[0]}]
set_property PACKAGE_PIN AC26 [get_ports {LED[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[1]}]
set_property PACKAGE_PIN AB26 [get_ports {LED[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[2]}]
set_property PACKAGE_PIN AE26 [get_ports {LED[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {LED[3]}]
set_property PACKAGE_PIN AE25 [get_ports {LED[3]}]

# Suicide & Watchdog
# Bank 13 (HR) VCCO - 2.5 V
set_property PACKAGE_PIN AC22 [get_ports suicide_n_o]
set_property IOSTANDARD LVCMOS25 [get_ports suicide_n_o]
set_property PACKAGE_PIN AC21 [get_ports wdog_n_o]
set_property IOSTANDARD LVCMOS25 [get_ports wdog_n_o]

set_property PACKAGE_PIN V19 [get_ports prsnt_m2c_l_i]
set_property IOSTANDARD LVCMOS25 [get_ports prsnt_m2c_l_i]
