# viv_find_brams.tcl  PeterJ,    24-Jan-2018.
#
# This script does reports all BRAMs used in the design.
# It is intended to easily find the BRAM names that are needed for the creation
# of a bmm file.
# ------------------------------------

set my_rams [get_cells -hierarchical -filter { PRIMITIVE_TYPE =~ BMEM.bram.* }]
foreach ram_block $my_rams {
  puts $ram_block
  #report_property -all [get_cells $ram_block]
}